require 'rails_helper'

module Mks
  module Auth
    RSpec.describe UsersController, type: :controller do
      routes { Mks::Auth::Engine.routes }

      describe 'GET #roles' do
        it 'gets roles of a user' do
          u = create(:user)
          roles = [create(:user_role), create(:user_role)]
          u.roles << roles
          get :roles, session: { user_id: u.id }
          result = JSON(response.body)
          expect(result['data'].count).to eq 2
        end
      end
    end
  end
end
